; Example LLVM IR for simple mathematical operations

define i32 @functionx(i32 %a, i32 %b) {
  %sub = sub i32 %a, %b
  %mull = mul i32 %a, %b
  %add = add i32 %sub, %mull
  ret i32 %add
}

define i32 @add(i32 %a, i32 %b) {
  %result = add i32 %a, 0
  %result2 = add i32 %b, %result
  ret i32 %result
}

define void @function2(i32 %a, i32 %b) {
  ret void
}